export function spawnFrameEntity(player, pos, rot, index, cinematicType) {
    const entity = player.dimension.spawnEntity("dbg:rccampos", pos);
    if (cinematicType === "panoramic") {
        entity.nameTag = `Anchor Point`;
        entity.setProperty("rc:skin", 2);
        entity.setProperty("rc:rot_x", rot.x);
        entity.setProperty("rc:rot_y", rot.y);
    }
    if (cinematicType === "orbital") {
        entity.nameTag = `Focus Point`;
        entity.setProperty("rc:skin", 3);
        entity.setProperty("rc:rot_x", 90);
        entity.setProperty("rc:rot_y", 0);
    }
    else if (cinematicType === "path_placement") {
        // stable numbering based on index
        entity.nameTag = `Frame: ${index + 1}`;
        entity.setProperty("rc:skin", 1);
        entity.setProperty("rc:rot_x", rot.x);
        entity.setProperty("rc:rot_y", rot.y);
    }
    entity.addTag("cinematicOwner:" + player.id);
    return entity;
}
